org.apache.http.impl.nio.reactor

## Class SSLIOSession

- java.lang.Object
- - org.apache.http.nio.reactor.ssl.SSLIOSession
  - - org.apache.http.impl.nio.reactor.SSLIOSession

All Implemented Interfaces:
  IOSession, SessionBufferStatus, SocketAccessor

Deprecated.
(4.2) use `SSLIOSession`

    @Deprecated
    public class SSLIOSession
    extends SSLIOSession

A decorator class intended to transparently extend an `IOSession` with transport layer security capabilities based on the SSL/TLS protocol.

Since:
  4.0

### Field Summary

### Fields inherited from class org.apache.http.nio.reactor.ssl.SSLIOSession

`SESSION_KEY`

### Fields inherited from interface org.apache.http.nio.reactor.IOSession

`ACTIVE, ATTACHMENT_KEY, CLOSED, CLOSING`

### Constructor Summary

Constructors
Constructor and Description
`SSLIOSession(IOSession session, SSLContext sslContext, SSLIOSessionHandler handler)` Deprecated.
`SSLIOSession(IOSession session, SSLContext sslContext, SSLSetupHandler handler)` Deprecated.

### Method Summary

Methods
`void` `bind(SSLMode mode, HttpParams params)` Deprecated.

### Methods inherited from class org.apache.http.nio.reactor.ssl.SSLIOSession

`channel, clearEvent, close, getAttribute, getEventMask, getLocalAddress, getRemoteAddress, getSocket, getSocketTimeout, getSSLSession, getSSLSetupHandler, getStatus, hasBufferedInput, hasBufferedOutput, inboundTransport, initialize, initialize, isAppInputReady, isAppOutputReady, isClosed, isInboundDone, isInitialized, isOutboundDone, outboundTransport, removeAttribute, setAttribute, setBufferStatus, setEvent, setEventMask, setSocketTimeout, shutdown, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SSLIOSession

    public SSLIOSession(IOSession session,
                SSLContext sslContext,
                SSLSetupHandler handler)

Deprecated.

Since:
  4.1

#### SSLIOSession

    public SSLIOSession(IOSession session,
                SSLContext sslContext,
                SSLIOSessionHandler handler)

Deprecated.

### Method Detail

#### bind

    public void bind(SSLMode mode,
            HttpParams params)
              throws SSLException

Deprecated.

Throws:
  `SSLException`